Kubuntu: Switzerland keyboard setup fails

Bug #1182784 reported by mrw on 2013-05-22
184
This bug affects 34 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Critical
Unassigned
Trusty
Critical
Unassigned
Utopic
Critical
Unassigned
Vivid
Critical
Unassigned
Wily
Critical
Unassigned

Bug Description

[Impact]
Swiss German Keyboard abolutely does not work in kUbuntu 13.04 Installer! No Way!

[Test Case]
at isolinux boot screen press F2 → Deutch
run ubiquity
select Switzerland keyboard
select Switzerland French variant

at isolinux boot screen press F2 → Deutch
run ubiquity
select any other keyboard

at isolinux boot make no changes and boot in english
run ubiquity
select Switzerland keyboard
select Switzerland French variant

at isolinux boot screen press F2 → Deutch
run ubiquity
select any other keyboard

if there are no crashes it should be all fixed

[Regression Potential]
console-setup fix already in vivid, code backported from r6304 upstream

--

64bit kUbuntu Desktop 13.04 image from kubuntu.org downloaded 2013-05-22

----------------------------------------------------------------------------------------------------------------------------------

First try:

Try to install with Swiss-German Keyboard (i.e. choose it at boot screen) and there's a "ubi-console-setup failed with exit code 141" after setting the timezone; later (after ignore) the installation completely fails.

And yes, I just correctly downloaded and burned a 64bit kUbuntu Desktop 13.04 image from kubuntu.org.

Try it!

Install kUbuntu in German (Deutsch) / Swiss German Keyboard (Deusch Schweiz), selected already at boot.

----------------------------------------------------------------------------------------------------------------------------------

Second try:

Boot without language/keyboard selection. Start live desktop. Go to system settings, setup german language and swiss-german keyboard (I *need* that! ever tried to enter password with another keyboard layout?!?). Start installer in german (note I always choose encrypted LVM). Set timezone to Switzerland. This time, I arrive at the keyboard selection. There is no "Deutsch (Schweiz)" ("German (Switzerland)") only Austria is represented - why?!? - ok, there's Schweiz (Switzerland), so I choose it from the combo-box -> immediately crashes!

"Installer Crashed" Traceback /usr/lib/ubiquity/plugin.py line 48 ...

----------------------------------------------------------------------------------------------------------------------------------

No, I cannot provide you with log files, since I cannot setup a system on that computer. Try it out yourself! Please!

See also:
- https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/539463
- http://forum.ubuntuusers.de/topic/kde-installation-stuerzt-mit-ch-tastatur-ab/#post-5617642

Or google for "ubi-console-setup failed with exit code 141" ...

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1182784/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
mrw (marc-waeckerlin) wrote :

The problem exists only in kUbuntu; Ubuntu works. I switched to Ubuntu and will install kubuntu-desktop from that installation.

tags: added: kubuntu
affects: ubuntu → ubiquity (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubiquity (Ubuntu):
status: New → Confirmed
ianfas (ianfas) wrote :

I can confirm this Bug. Installation works with German Germany.

Getejanc George (silwanyx) wrote :

I have exactly the same problem on Kubuntu 13.04 x64 installation. The Installer crash and exits. Not possible to install with Switzerland German Keyboard selected.

Please correct this, i need for many machines to install with this swiss keyboard. Thank you.

Digulla-hepe (digulla-hepe) wrote :

As a workaround: Is there a script / command which I can use to set the keyboard to Swiss German after the installation has succeeded with a German keyboard layout?

Hans Joachim Desserud (hjd) wrote :

See also bug 1174303 which might be related, but there are different steps to reproduce and they end up with different error messages, so I don't know if they are the same.

Schmirrwurst (schmirrwurst) wrote :

This bug also affect me. I have locales Swiss/French

This means that nobody can install kubuntu since 13.04 in switzerland, I wonder that importance still is on "undecided" !

Urban B. (urbanb) wrote :

This bug is still there in Kubuntu 13.10 Beta1. Still "ubi-console-setup failes with exit code 141".
Please fix this bug, otherwise the installer will always crash for swiss people!

Thanks

Changed in ubiquity (Ubuntu):
assignee: nobody → Kubuntu Developers (kubuntu-dev)
Andreas Bürki (abuerki) wrote :

I can confirm this bug. tried to install a Kubuntu 13.04 64-bit version (checksum OK) on a brand new Think Pad T430s and ended up with

ubi-console-setup crashed -> ubi-console-setup failed with exit code 141. Further information may be found in /var/log/syslog. Do you want to try running this step again before continuing? If you do not, your installation may fail entirely or may be broken. -> Buttons: Retry Ignore Close

Retry don't change anything. So, press ignore and go ahead... Until "Installer Crashed" during "Tastatur wird eingerichtet" with a totally useless "Please file a new bug report using the command 'ubuntu-bug ubiquity' in a terminal.....

My little side note: What are all the Canonical marketing $ dollars worth, if the product breaks in the very beginning during installation and a normal user is left alone in the desert? Is this the way to attract more new Users?

Rohan Garg (rohangarg) wrote :

Works perfectly fine for me in the latest Kubuntu 13.10 ISO in a VBox.

I also have this bug while installing the daily build (2013.10.14) of kubuntu 13.10 / amd64 using locale Swiss/French. The installation is successful if I install in English. As it was already reported, only Kubuntu is affected; the corresponding daily build of Ubuntu installs OK also with the locale set to Swiss/French.

I originally filed a new bug 1233677, which I'll mark as a duplicate of this one.

Any chance this bug gets fixed before the final kubuntu 13.10 is released?

Changed in ubiquity (Ubuntu):
importance: Undecided → High
Sil Foiera (mail4sil) wrote :

I run into same troubles, installing 13.10.
Selecting "German" language (& Swiss German KB) in CD boot menu or just booting to Install Setup and selectig "German" language there breaks the installation.

Starting the installation in "English" and just select "Swiss-German" Keyboard settings after the timezone install step, WORKS!

Exactly the same problem/workaround here as Sil Foiera commented!
Anyone looking into it? Don't forget Switzerland just because we are small and neutral! ;)

Can confirm this ludicrous bug.

Workaround:
- The installation with Swiss-German Layout works if the installation language is English and not German.
- Therefore: Install in English and change to German after installation.

The bug is still present in kubuntu 14.04 daily build from 2013-11-23.

tags: added: raring saucy trusty
Jonathan Riddell (jr) on 2013-12-16
Changed in ubiquity (Ubuntu):
milestone: none → ubuntu-14.04

This bug is still present in kubuntu 14.04 alpha1.

This bug is still present in kubuntu 14.04 alpha2.

Oliver Knoll (starsky-hutch) wrote :

Just for confirmation that there are more than 10 people in Switzerland trying to install Kubuntu ;)

I experienced exactly the same "ubi-console-setup failed with exit code 141" with a Kubuntu 13.10 64bit ISO image, while trying to install it in a VirtualBox machine, on a Mac with OS X 10.8.5 as host and... a Swiss keyboard (DE_CH)!

The error appears when about to select the Time Zone during installation. "Retry" results (unsurprisingly) in the same error. After "Ignore" I reach the "Personal Info" screen (where I can enter my desired user name and such), the installer downloads some packages in the background and proceeds somewhat, until finally dying with an "Installation failed" message (about 25% of the progress bar or so have been reached).

Interestingly enough the system then goes on and boots into the KDE desktop - at this point I did not try to check what packages where missing (mostly because I was very annoyed by that black box which very frequently was rendered "behind" my mouse button, but that is probably more a Mac Hardware/Virtual Box thing - never mind).

Oliver Knoll (starsky-hutch) wrote :

Interesting: trying to change the keyboard layout in the host system (OS X 10.8.5) to an English keyboard layout before installation (before each attempt I completely wiped the VirtualBox disk image and created a new one) did not help.

And by now I realised that the system does not actually boot into the half-baked/failed installation, but into the Live system instead.

Anyway, I then went on (in the Live system) to run "Install" -> Install on Harddisk, but this time I chose the language to be English (in the very first "dialog").

I was then able to properly choose the "Switzerland - German (Macintosh)" keyboard (previously I never got to see that screen!) and the installation continued without that "141" error.

I don't know whether it is the combination of my english (host) keyboard layout with the fact that I chose English as the language, or the fact that I chose English alone, or whether the reason was that I called the Installer from the Live system...

But that should give you some possible pointers to track it down :)

Oliver Knoll (starsky-hutch) wrote :

As a workaround: setting the installation language to English seems to work: the Swiss keyboard can be properly selected. At least when using VirtualBox the host keyboard layout does not seem to matter at all.

Florian Brunner (fbrunnerreg) wrote :

Same issue here with both
Kubuntu 13.10 64-bit installer
Kubuntu 12.04.4 64-bit installer

My latest results with Country=Switzerland / Keymap=Swiss French:

- no problem with Kubuntu 12.04.4 64-bit (the installation succeeds)

- the bug is still present in Kubuntu 14.04 beta1 64-bit (the installation fails with the usual errors).

Olivier Subilia (futilite) wrote :

Old problem (still have it still 13.04, both 32 and 64 bits. It's amazing that such a simple issue (just wrong naming of fr-ch locales) is not resolved yet. Too few users in switzerland to interest developpers ?

Rohan Garg (rohangarg) on 2014-04-14
Changed in ubiquity (Ubuntu):
assignee: Kubuntu Developers (kubuntu-dev) → Rohan Garg (rohangarg)
Rohan Garg (rohangarg) wrote :

Notes from my investigation :

Error in Ubiquity :
debconf (developer): <-- METAGET keyboard-configuration/layout choices-c
debconf (developer): --> 1 Afghani, Albanisch, Amharisch, Arabisch, Arabisch (Marokko), Arabisch (Syrien), Armenisch, Aserbaidschanisch, Bambara, Bangla, Belgisch, Bosnisch, Braille, Bulgarisch, Burmesisch, Chinesisch, Deutsch, Deutsch (Österreich), Dhivehi, Dzongkha, Dänisch, Englisch (Britisch), Englisch (Ghana), Englisch (Kamerun), Englisch (Nigeria), Englisch (Südafrika), English (USA), Esperanto, Estnisch, Finnisch, Französisch, Französisch (Demokratische Republik Kongo), Französisch (Guinea), Französisch (Kanada), Färöisch, Georgisch, Griechisch, Hebräisch, Indisch, Irakisch, Irisch, Isländisch, Italienisch, Japanisch, Japanisch (PC-98xx-Serie), Kasachisch, Khmer (Kambodscha), Kirgisisch, Koreanisch, Kroatisch, Lao, Lettisch, Litauisch, Maltesisch, Maori, Mazedonisch, Moldawisch, Mongolisch, Montenegrinisch, Nepalesisch, Niederländisch, Norwegisch, Persisch, Philippinisch, Polnisch, Portugiesisch, Portugiesisch (Brasilien), Rumänisch, Russisch, Schwedisch, Serbisch, Sinhala (phonetisch), Slowakisch, Slowenisch, Spabisch (Lateinamerikanisch), Spanisch, Swahili (Kenia), Swahili (Tansania), Switzerland, Tadschikisch, Taiwanesisch, Thailändisch, Tschechisch, Tswana, Turkmenisch, Türkisch, Ukrainisch, Ungarisch, Urdu (Pakistan), Usbekisch, Vietnamesisch, Weißrussisch, Wolof
debconf (developer): <-- GET keyboard-configuration/layout
debconf (developer): --> 1 Switzerland
Exception caught in process_line:
Traceback (most recent call last):
  File "/usr/lib/ubiquity/ubiquity/filteredcommand.py", line 145, in process_line
    return self.dbfilter.process_line()
  File "/usr/lib/ubiquity/ubiquity/debconffilter.py", line 287, in process_line
    if not input_widgets[0].run(priority, question):
  File "/usr/lib/ubiquity/plugins/ubi-console-setup.py", line 488, in run
    self.ui.set_keyboard(misc.utf8(self.db.get(question)))
  File "/usr/lib/ubiquity/ubiquity/plugin.py", line 48, in wrapper
    return target(self, *args, **kwargs)
  File "/usr/lib/ubiquity/plugins/ubi-console-setup.py", line 340, in set_keyboard
    ly = keyboard_names.layout_id(l, misc.utf8(layout))
  File "/usr/lib/ubiquity/ubiquity/keyboard_names.py", line 142, in layout_id
    return kn.layout_id(lang, value)
  File "/usr/lib/ubiquity/ubiquity/keyboard_names.py", line 90, in layout_id
    return self._layout_by_human[value]
KeyError: 'Switzerland'

Also , /usr/lib/ubiquity/console-setup/kbdnames.gz has no de*layout*ch*Switzerland entry, hence the lookup fails in Ubiquity and propogates to the ui as a ubi-console-setup issue.

Once you add a " de*layout*ch*Switzerland " entry to the kbdnames file in /usr/lib/ubiquity/console-setup/kbdnames.gz , things should work.

Changed in ubiquity (Ubuntu):
status: Confirmed → Triaged

Great, thanks a lot for checking out this bug! I hope there will be a fix soon. :)

Rohan Garg (rohangarg) wrote :

Retargetting 14.04.1 since we're in final freeze for 14.04

Changed in ubiquity (Ubuntu):
milestone: ubuntu-14.04 → ubuntu-14.04.1
milestone: ubuntu-14.04.1 → ubuntu-14.04
milestone: ubuntu-14.04 → ubuntu-14.04.1

Thank you very much to Rohan for caring about this bug.

Please don't forget that it also applies to Switzerland/French (as I mentioned in comment #12), not only to Switzerland/German, so I would be nice to fix the problem for both languages at the same time.

Wenger (jwt-e) wrote :

This bug is still present in kubuntu 14.04
Language: German
Keyboard: Switzerland/German

Raphael Raccuia (blindekinder) wrote :

In confirm on Kubuntu 14.04 Swiss French kbd
If choosen on boot, the mentioned error appears before crash. If I choose switzerland on installer, crash imediately.

Gisin Bernard (bernard5) wrote :

This bug remains in KUbuntu 14.04, downloaded the 21st of july 2014.
I tried the installation with the swiss french keybord (which is under "German" ?!?).
I tested the integrity of the downloaded file and of the DVD.
First, the "ubi-console-setup failed with exit code 141" appaire, it can be ignored, but near the end of the installation, the complete installation crashed.
I coule install XUbuntu 14.04 with the swiss french keybord.
I will try the installation with the english keyboard.
If it works, I will try to install the swiss french keyboard.

Rohan Garg (rohangarg) on 2014-07-31
Changed in ubiquity (Ubuntu):
importance: High → Critical
Jonathan Riddell (jr) on 2014-07-31
summary: - Install with German / Swiss Keyboard fails: "ubi-console-setup failed
- with exit code 141" or "Installer Crashed"
+ Install with non English language Keyboard fails: "ubi-console-setup
+ failed with exit code 141" or "Installer Crashed"
Rohan Garg (rohangarg) on 2014-07-31
Changed in ubiquity (Ubuntu):
assignee: Rohan Garg (rohangarg) → Dimitri John Ledkov (xnox)

This has now got worse to crash whenever installing in non-English language (reported as bug 1350783) because it can't find English (US)

Jonathan Riddell (jr) wrote :

The keyboard crash on installing when set to non-English language is in utopic alpha 1 and 2 but not 14.04LTS and not in Ubuntu Unity flavour.

Changed in ubiquity (Ubuntu):
milestone: ubuntu-14.04.1 → ubuntu-14.10
Changed in ubiquity (Ubuntu):
assignee: Dimitri John Ledkov (xnox) → Ubuntu Foundations Team (ubuntu-foundations-team)
Jonathan Riddell (jr) on 2014-07-31
summary: - Install with non English language Keyboard fails: "ubi-console-setup
+ Install with non English language fails on Keyboard: "ubi-console-setup
failed with exit code 141" or "Installer Crashed"

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1182784

tags: added: iso-testing
Philippe Clement (cflep219) wrote :

I have this big on Ubuntu 14.04 and on Kubuntu 14.04

Tomasz Zegar (tomaszzegar) wrote :

Hi! I have this bug on Kubuntu 14.10. Ubuntu 14.10 and Ubuntu GNOME 14.10 works fine. I used to use Polish language and Polish keyboard in Kubuntu and it didn't work. I've downloaded iso image many times and I've installed Kubuntu from USB stick and from DVD and there is always the same problem - ubi-console-setup failed with exit code 141.

Jonathan Riddell (jr) wrote :

Looking at keyboard_names.py KeyboardNames the value it is sending in is "English (US)" but the list of values is in the runtime language "Ingles (RU)" etc so it doesn't match

Jonathan Riddell (jr) wrote :

While the GTK frontend only lists them in English even if you have ubiquity set to use another language.

Jonathan Riddell (jr) wrote :

I think by setting set_keyboard and set_variant and similar methods in PageKDE class it can be worked around

Jonathan Riddell (jr) wrote :

This file fixes it by stopping trying to get the localised version of the keyboard name
http://starsky.19inch.net/~jr/tmp/ubi-console-setup.py

since gtk doesn't get a localised version there's no shame is us not doing so

I'll tidy it up on monday

I don't know if this will be a fix for trusty too as that presumably had a slightly different issue which only affected Swiss users but I expect it to fix it

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.19.6

---------------
ubiquity (2.19.6) utopic; urgency=medium

  * ubiquity/plugins/ubi-console-setup.py: use untranslated keyboard
    names, the GTK side does not translate them and comments say they
    do not work. KDE frontend has crashes due to keyboard names being
    translated so give up for now. LP: #1182784
 -- Jonathan Riddell <email address hidden> Mon, 01 Sep 2014 19:07:50 +0200

Changed in ubiquity (Ubuntu):
status: Triaged → Fix Released
Jonathan Riddell (jr) wrote :

Uploaded 2.18.8.2 to trusty-proposed with the fix to query for keyboard names in English. Which it's a shame that keyboard names aren't translated, this has never been the case in the GTK frontend and with it crashing for all non-English installs in Utopic it needs to be removed. So I've done the same for Trusty where the crash is only from a missing name for Swiss German.

TEST CASE:
start ubiquity in trusty
set language to german
continue until keyboard page
crash!

Hello mrw, or anyone else affected,

Accepted into trusty-proposed. The package will build now and be available in a few hours in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubiquity (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed

Scott, thanks for explaining how to enable trusty-proposed.

Unfortunately, this doesn't help at all since the bug happens when installing from DVD or USB stick, so we really need an ISO image which contains the new package.

Brian Murray (brian-murray) wrote :

I'm fairly certain it is possible to update (after enabling proposed) the ubiquity package (which contains the fix) after booting the installer into the "Try Ubuntu" mode. Then if you start the installer you should be using the fixed version of the package.

Just tested with the daily build of kubuntu 14.04.1 (20140909), downloaded from:
http://cdimage.ubuntu.com/kubuntu/trusty/daily-live/current/
It already includes ubiquity 2.18.8.2, so no need to make any change before starting ubiquity.
The installation in French with the swiss french keyboard was successful.
Thank you very much for fixing this very annoying bug!

Mathew Hodson (mathew-hodson) wrote :

Marking based on comment #46.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.18.8.2

---------------
ubiquity (2.18.8.2) trusty-proposed; urgency=medium

  * In ubi-console-setup.py query for keyboard names in English
    in KDE frontend, fixes crash with Swiss German
    LP: #1182784
 -- Jonathan Riddell <email address hidden> Tue, 02 Sep 2014 10:58:19 +0000

Changed in ubiquity (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubiquity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hi, I can reproduce this bug even Ubiquity 2.18.8.2 is used. The system locale is zh_TW.UTF-8.

/var/log/installer/debug log
http://pastebin.ubuntu.com/8411285

V字龍(Vdragon) (vdragon) wrote :

Oops, its bug #1373033 instead, sorry.

Fierta (fierta) wrote :

Starting with version 2.18.8.2 when choosing Russian keyboard layout , the installer fails. Developers fix the problem that you 've done there !!!!!!! Prior to version 2.18.8.2 everything worked perfectly !

V字龍(Vdragon) (vdragon) wrote :

Hi Fierta,
please checkout bug #1373033 if it matches your issue and when it is, vote on "Affect me too".

Fierta (fierta) wrote :

Hi Vdragon, ok. No problem.

somekool (somekool) wrote :

This is still happening with 15.04 Vivid

I did not get to keyboard settings.
only setting language to French and after hitting next on the timezone

ubi-console-setup returned error 141

Ales (w-ales) wrote :

Same in Kubuntu 14.10.
Firstly I got "ubi-console-setup crashed", then the whole installer crashed and won't start again - just black screen. Finally I made it to work by pressing ESC on boot, selecting directly "Install" in the text menu and keeping the English US keyboard.

lokster (lokiisyourmaster) wrote :

Encountered this bug in remastered Kubuntu 14.04, ubiquity 2.18.8.4, bulgarian locale.
Fixed it by replacing in the following in /usr/lib/ubiquity/plugins/ubi-console-setup.py:
l = 'C'
with
l = self.controller.dbfilter.get_locale()

it appears on several locations in the file.

Volkan Gezer (volkangezer) wrote :

This bug should be reopened. The same issue with Kubuntu 15.04 Alpha 2 installation

I got the same thing when installing Kubuntu 15.04 daily (as of 2015-02-09).
Had to change the language to English (my native is Brazilian Portuguese) to be able to install.

tags: removed: saucy
tags: added: amd64
Jonathan Riddell (jr) wrote :

should be fixed in today's daily which will also become Vivid beta 1, testing welcomed.

Bin Li (binli) wrote :

@Jonathan,

 I can't find the code 2.18.8.7 which is in updates channel, now it is 2.18.8.6 in below link.

 lp:~ubuntu-installer/ubiquity/trusty-proposed/

 Could you help to update it? Thanks!

Jonathan Riddell (jr) wrote :

The original bug is back as a result of the revert I made, see comment #25

If you select Deutch at the syslinux login to set the locale (F2 → Deutch on first boot) you can't select Switzerland keyboard because it's not in /usr/lib/ubiquity/console-setup/kbdnames.gz

Changed in ubiquity (Ubuntu Vivid):
status: Fix Released → Confirmed
Steve Langasek (vorlon) on 2015-04-09
Changed in ubiquity (Ubuntu Vivid):
assignee: Ubuntu Foundations Team (ubuntu-foundations-team) → nobody
milestone: ubuntu-14.10 → none
Changed in ubiquity (Ubuntu Trusty):
importance: Undecided → Critical
Changed in ubiquity (Ubuntu Vivid):
status: Confirmed → Triaged
Jonathan Riddell (jr) on 2015-04-15
Changed in ubiquity (Ubuntu Vivid):
milestone: none → ubuntu-15.04
Jonathan Riddell (jr) wrote :

in 2.21.21 it'll give you a warning that it's broken and needs set by hand after install rather than just crash. A proper fix would be to work out why console-setup misses that translation.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.21.21

---------------
ubiquity (2.21.21) vivid; urgency=medium

  * KDE: ubiquity/plugins/ubi-console-setup.py workaround for LP: #1182784
 -- Jonathan Riddell <email address hidden> Wed, 15 Apr 2015 19:28:00 +0200

Changed in ubiquity (Ubuntu Vivid):
status: Triaged → Fix Released
Jonathan Riddell (jr) on 2015-04-22
Changed in ubiquity (Ubuntu Vivid):
status: Fix Released → Fix Committed
status: Fix Committed → Confirmed
Jonathan Riddell (jr) on 2015-04-22
summary: - Install with non English language fails on Keyboard: "ubi-console-setup
- failed with exit code 141" or "Installer Crashed"
+ Kubuntu: Switzerland keyboard setup fails
Jonathan Riddell (jr) wrote :

Uploaded 2.21.26 to vivid-proposed with a fix, awaiting approval from ubuntu-sru

TEST CASE:
at isolinux boot screen press F2 → Deutch
run ubiquity
select Switzerland keyboard
select Switzerland French variant

at isolinux boot screen press F2 → Deutch
run ubiquity
select any other keyboard

at isolinux boot make no changes and boot in english
run ubiquity
select Switzerland keyboard
select Switzerland French variant

at isolinux boot screen press F2 → Deutch
run ubiquity
select any other keyboard

if there are no crashes it should be all fixed

Jonathan Riddell (jr) on 2015-04-27
Changed in ubiquity (Ubuntu Utopic):
status: Fix Released → Confirmed
Changed in ubiquity (Ubuntu Trusty):
status: Fix Released → Confirmed
Chris J Arges (arges) wrote :

Hello mrw, or anyone else affected,

Accepted into vivid-proposed. The package will build now and be available in a few hours in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

description: updated
tags: added: verification-vivid-needed
removed: verification-done
Chris J Arges (arges) on 2015-04-29
Changed in ubiquity (Ubuntu Vivid):
status: Confirmed → Fix Committed
Jonathan Riddell (jr) wrote :

using virtualbox I started kubuntu vivid setting Deutch at the syslinux boot screen F2 menu
I added vivid-proposed and installed ubiquity-frontend-kde 2.21.26
I installed Kubuntu and set a Switzerland keyboard without problems

I did the same using English language and had no problems

tags: added: verification-vivid-done
removed: verification-vivid-needed
tags: added: verification-done
removed: verification-vivid-done
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubiquity (Ubuntu Wily):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.21.26

---------------
ubiquity (2.21.26) vivid; urgency=medium

  * ubiquity/plugins/ubi-console-setup.py: use untranslated keyboard
    names if translated ones do not exist LP: #1182784
  * Automatic update of included source packages: console-setup
    1.108ubuntu5.

 -- Jonathan Riddell <email address hidden> Mon, 27 Apr 2015 13:32:25 +0200

Changed in ubiquity (Ubuntu Vivid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.21.27

---------------
ubiquity (2.21.27) wily; urgency=medium

  * Automatic update of included source packages: choose-mirror
    2.57ubuntu3, partconf 1.47, partman-lvm 109, preseed 1.64ubuntu3,
    tzsetup 1:0.66ubuntu1, localechooser 2.65ubuntu1.
  * debian/rules: wipe all environment when running tests, only set
    LANG to C.UTF-8 for debconf to be able to handle the Brazil
    timezones' accents.
  * d-i/sources.list: switch to wily release.

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 04 Jun 2015 10:34:59 -0400

Changed in ubiquity (Ubuntu Wily):
status: Confirmed → Fix Released
Changed in ubiquity (Ubuntu Utopic):
status: Confirmed → Won't Fix
assignee: Ubuntu Foundations Team (ubuntu-foundations-team) → nobody
milestone: ubuntu-14.10 → none
Changed in ubiquity (Ubuntu Trusty):
status: Confirmed → Triaged
Changed in ubiquity (Ubuntu Wily):
importance: Undecided → Critical
Changed in ubiquity (Ubuntu Trusty):
milestone: none → ubuntu-14.04.4
Changed in ubiquity (Ubuntu):
milestone: ubuntu-15.04 → none

fork Distributions from 14.04 LTS has still this problem occurs. (Bodhi Linux 3, wattOS R9, etc...)
The users other than English by this problem has been suffering in the installation!

Krisss (chris-webfreelance) wrote :

Hi everybody,

i cfm that the problem is the same actually.

I download a new iso 64, verify integrity ok. Using a new DVD.

Only one solution to make a new installation is to select French keyboard AZERTY (not swiss-french QWERTZ) for Swiss region.

I hope the bug will be corrected for the new version iso.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers